
%-------------------------------------------------------------------------------
%   Rigid body right-hand-side.
%   See also RBModel.
%-------------------------------------------------------------------------------
%   Form:
%   xDot = FRB( x, t, inr, invInr, tExt )
%-------------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   x            (7,1)     The state vector [q;w]
%   t            (1,1)     Time
%   inr          (3,3)     Inertia
%   invInr       (3,3)     Inverse inertia
%   tExt         (3,1)     External torque
%
%   -------
%   Outputs
%   -------
%   xDot         (7,1)     The derivative of the state vector
%
%-------------------------------------------------------------------------------